<?php

  $Position   = '../';
  require_once($Position.'config/config.php');
  require_once($Position.'config/conexion.php');
  require_once($Position.'config/user.php');
  require_once($Position.'funciones/funciones.php');

  if( $_POST['Save'] == 'Ok' ){

    $Cliente          = $_POST['Cliente'];
    $Arts             = $_POST['Arts'];
    $Art              = $_POST['Art'];
    $Total            = $_POST['Total'];
    $Pagos            = $_POST['Pagos'];
    $Pago             = $_POST['Pago'];
    $PagoFull         = $_POST['PagoFull'];
    $Deuda            = $_POST['Deuda'];
    $Observaciones    = $_POST['Observaciones'];
    $Email            = $_POST['Email'];
    $Fecha            = date('Y-m-d H-i-s');

    if( $Cliente != '0' && $Email && $Pagos && $PagoFull && $Arts ){

      //Actualiza Email de Cliente
      $Query = "
		    UPDATE KB_Clientes SET
			    Email   = '$Email'
		    WHERE
          Id  = '$Cliente'
          AND Rfc != 'XAXX010101000'
	    ";
	    mysqli_query($mysqli, $Query );

      //Sumatoria de Folio
      $Query = "
        SELECT
          ven.Id, ven.Numero
        FROM KB_Ventas ven
        WHERE
          ven.Pre = 'AP'
        ORDER BY ven.Id DESC
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Ven = mysqli_fetch_assoc($Result);
      $Numero = $Ven[Numero] + 1;
      $Key = randomKey(6);
      $Key = strtoupper($Key);
      $Documento = 'AP-'.$Key.'A'.$Numero;
      $NumeroA = $Key.'A'.$Numero;

      //Inserta Venta
      $Query = "
        INSERT INTO KB_Ventas
        (
          Fk_Usuario, Fk_Cliente,
          Pre, Numero, Documento,
          Fecha,
          Moneda,
          Total, Saldo, Impuestos,
          Observaciones, Email
        )
        VALUES (
          '$User[Id]', '$Cliente',
          'AP', '$NumeroA', '$Documento',
          '$Fecha',
          'MXN',
          '$Total', '$Deuda', '$Impuestos',
          '$Observaciones', '$Email'
        )
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Id = mysqli_insert_id($mysqli);

      //Guarda Articulos en Venta
      foreach ( $Arts AS $Ar ) {

        $IdArt      = $Art[$Ar]['Id'];
        $Clave      = $Art[$Ar]['Clave'];
        $Precio     = $Art[$Ar]['Precio'];
        $Descuento  = $Art[$Ar]['Descuento'];
        $Cantidad   = $Art[$Ar]['Cantidad'];
        $Total      = $Precio * $Cantidad;
        $SuperTotal = $SuperTotal + $Total;

        //Insert Art
        $Query = "
          INSERT INTO KB_VentasProductos
          (
            Fk_Venta, Documento,
            Fk_Producto, ProductoClave,
            Cantidad, Precio, Descuento,
            Total
          )
          VALUES (
            '$Id', '$Documento',
            '$IdArt', '$Clave',
            '$Cantidad', '$Precio', '$Descuento',
            '$Total'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);

      }
      //End Guarda Articulos en Venta

      //Guarda Pagos
      foreach ( $Pagos AS $Pa ) {

        $Metodo   = $Pago[$Pa]['Metodo'];
        $Pagoa    = $Pago[$Pa]['Pago'];

        //Insert Art
        $Query = "
          INSERT INTO KB_Pagos
          (
            Fk_Venta, Documento,
            Fecha, Fk_Metodo,
            Pago
          )
          VALUES (
            '$Id', '$Documento',
            '$Fecha', '$Metodo',
            '$Pagoa'
          )
        ";
        $Result = mysqli_query($mysqli, $Query);

      }
      //End Guarda Pagos

      //Update
      // $Query = "
		  //   UPDATE CMS_Admins SET
			//     Nombre    = '$Nombre',
			//     Apellidos = '$Apellidos',
			//     Activo    = '$Activo',
			//     $PassEdit
			//     Email     = '$Email'
		  //   WHERE Id  = '$Id'
	    // ";
	    // mysqli_query($mysqli, $Query );

      if( $Id ){
        $Data = array(
          'action'    => 'saved',
          'msn'       => 'Venta guardada con éxito!'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
      }

    }else{
      $Data = array(
        'action'    => 'error',
        'msn'       => 'Falta llenar algunos campos.'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);
    }


  }

?>
